#include "my_class.h"

MyClass::MyClass(int number)
{
        m_number = number;
        Ptr = new int(number);
}


void MyClass::addToNumber(int addend)
{
        m_number += addend;
        //int temp =  clock_control_on(dt, temps);
}

int MyClass::getNumber()
{
        return m_number;
}

MyClass::~MyClass()
{
       delete Ptr;
}
